HtmlGmap (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.component.html.HtmlGmap class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlGmap

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIGmap
                  org.richfaces.component.html.HtmlGmap

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class HtmlGmap

extends UIGmap

Component-Type org.richfaces.Gmap Component-Family org.richfaces.Gmap Renderer-Type org.richfaces.GmapRenderer It presents the google map in JSF applications

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Constructor Summary
`HtmlGmap()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getEnableContinuousZoom()` Enables continuous smooth zooming for selected browsers.
`java.lang.String` | `getEnableDoubleClickZoom()` Enables zooming in by a double click.
`java.lang.String` | `getEnableDragging()` Enables a map dragging with the mouse.
`java.lang.String` | `getEnableInfoWindow()` Enables Info Window.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getGmapKey()` Google Map key.
`java.lang.String` | `getGmapVar()` The JavaScript variable that is used to access the Google Map API.
`java.lang.String` | `getLat()` Initial latitude coordinate in degrees, as a number between -90 and +90 Getter for lat
`java.lang.String` | `getLng()` Initial longitude coordinate in degrees, as a number between -180 and +180 Getter for lng
`java.lang.String` | `getMapType()` Initial map type.
`java.lang.String` | `getOnclick()` HTML: a script expression; a pointer button is clicked Getter for onclick
`java.lang.String` | `getOndblclick()` HTML: a script expression; a pointer button is double-clicked Getter for ondblclick
`java.lang.String` | `getOninit()` JavaScript code invoked just after the Google Map object is initiated.
`java.lang.String` | `getOnkeydown()` HTML: a script expression; a key is pressed down Getter for onkeydown
`java.lang.String` | `getOnkeypress()` HTML: a script expression; a key is pressed and released Getter for onkeypress
`java.lang.String` | `getOnkeyup()` HTML: a script expression; a key is released Getter for onkeyup
`java.lang.String` | `getOnmousedown()` HTML: script expression; a pointer button is pressed down Getter for onmousedown
`java.lang.String` | `getOnmousemove()` HTML: a script expression; a pointer is moved within Getter for onmousemove
`java.lang.String` | `getOnmouseout()` HTML: a script expression; a pointer is moved away Getter for onmouseout
`java.lang.String` | `getOnmouseover()` HTML: a script expression; a pointer is moved onto Getter for onmouseover
`java.lang.String` | `getOnmouseup()` HTML: script expression; a pointer button is released Getter for onmouseup
`java.lang.String` | `getShowGLargeMapControl()` Shows the GLarge control.
`java.lang.String` | `getShowGMapTypeControl()` Shows the Type switch control.
`java.lang.String` | `getShowGScaleControl()` It shows the scale control.
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`java.lang.String` | `getWarningMessage()` The warning message that appears if a browser is not compatible with Google Map.
`java.lang.String` | `getZoom()` Initial zoom level as a number between 1 and 18.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setEnableContinuousZoom(java.lang.String __enableContinuousZoom)` Enables continuous smooth zooming for selected browsers.
`void` | `setEnableDoubleClickZoom(java.lang.String __enableDoubleClickZoom)` Enables zooming in by a double click.
`void` | `setEnableDragging(java.lang.String __enableDragging)` Enables a map dragging with the mouse.
`void` | `setEnableInfoWindow(java.lang.String __enableInfoWindow)` Enables Info Window.
`void` | `setGmapKey(java.lang.String __gmapKey)` Google Map key.
`void` | `setGmapVar(java.lang.String __gmapVar)` The JavaScript variable that is used to access the Google Map API.
`void` | `setLat(java.lang.String __lat)` Initial latitude coordinate in degrees, as a number between -90 and +90 Setter for lat
`void` | `setLng(java.lang.String __lng)` Initial longitude coordinate in degrees, as a number between -180 and +180 Setter for lng
`void` | `setMapType(java.lang.String __mapType)` Initial map type.
`void` | `setOnclick(java.lang.String __onclick)` HTML: a script expression; a pointer button is clicked Setter for onclick
`void` | `setOndblclick(java.lang.String __ondblclick)` HTML: a script expression; a pointer button is double-clicked Setter for ondblclick
`void` | `setOninit(java.lang.String __oninit)` JavaScript code invoked just after the Google Map object is initiated.
`void` | `setOnkeydown(java.lang.String __onkeydown)` HTML: a script expression; a key is pressed down Setter for onkeydown
`void` | `setOnkeypress(java.lang.String __onkeypress)` HTML: a script expression; a key is pressed and released Setter for onkeypress
`void` | `setOnkeyup(java.lang.String __onkeyup)` HTML: a script expression; a key is released Setter for onkeyup
`void` | `setOnmousedown(java.lang.String __onmousedown)` HTML: script expression; a pointer button is pressed down Setter for onmousedown
`void` | `setOnmousemove(java.lang.String __onmousemove)` HTML: a script expression; a pointer is moved within Setter for onmousemove
`void` | `setOnmouseout(java.lang.String __onmouseout)` HTML: a script expression; a pointer is moved away Setter for onmouseout
`void` | `setOnmouseover(java.lang.String __onmouseover)` HTML: a script expression; a pointer is moved onto Setter for onmouseover
`void` | `setOnmouseup(java.lang.String __onmouseup)` HTML: script expression; a pointer button is released Setter for onmouseup
`void` | `setShowGLargeMapControl(java.lang.String __showGLargeMapControl)` Shows the GLarge control.
`void` | `setShowGMapTypeControl(java.lang.String __showGMapTypeControl)` Shows the Type switch control.
`void` | `setShowGScaleControl(java.lang.String __showGScaleControl)` It shows the scale control.
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setWarningMessage(java.lang.String __warningMessage)` The warning message that appears if a browser is not compatible with Google Map.
`void` | `setZoom(java.lang.String __zoom)` Initial zoom level as a number between 1 and 18.

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlGmap

    public HtmlGmap()

  Constructor to init default renderers

Method Detail

### setLat

    public void setLat(java.lang.String __lat)

  Initial latitude coordinate in degrees, as a number between -90 and +90 Setter for lat

  Parameters:
    `lat` - - new value

### getLat

    public java.lang.String getLat()

  Initial latitude coordinate in degrees, as a number between -90 and +90 Getter for lat

  Returns:
    lat value from local variable or value bindings

### setZoom

    public void setZoom(java.lang.String __zoom)

  Initial zoom level as a number between 1 and 18. The default value is 17 Setter for zoom

  Parameters:
    `zoom` - - new value

### getZoom

    public java.lang.String getZoom()

  Initial zoom level as a number between 1 and 18. The default value is 17 Getter for zoom

  Returns:
    zoom value from local variable or value bindings

### setShowGLargeMapControl

    public void setShowGLargeMapControl(java.lang.String __showGLargeMapControl)

  Shows the GLarge control. The default value is "true" Setter for showGLargeMapControl

  Parameters:
    `showGLargeMapControl` - - new value

### getShowGLargeMapControl

    public java.lang.String getShowGLargeMapControl()

  Shows the GLarge control. The default value is "true" Getter for showGLargeMapControl

  Returns:
    showGLargeMapControl value from local variable or value bindings

### setGmapKey

    public void setGmapKey(java.lang.String __gmapKey)

  Google Map key. A single Maps API key is valid for a single "directory" on your web server Setter for gmapKey

  Parameters:
    `gmapKey` - - new value

### getGmapKey

    public java.lang.String getGmapKey()

  Google Map key. A single Maps API key is valid for a single "directory" on your web server Getter for gmapKey

  Returns:
    gmapKey value from local variable or value bindings

### setShowGScaleControl

    public void setShowGScaleControl(java.lang.String __showGScaleControl)

  It shows the scale control. The default value is "true" Setter for showGScaleControl

  Parameters:
    `showGScaleControl` - - new value

### getShowGScaleControl

    public java.lang.String getShowGScaleControl()

  It shows the scale control. The default value is "true" Getter for showGScaleControl

  Returns:
    showGScaleControl value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setOnkeypress

    public void setOnkeypress(java.lang.String __onkeypress)

  HTML: a script expression; a key is pressed and released Setter for onkeypress

  Parameters:
    `onkeypress` - - new value

### getOnkeypress

    public java.lang.String getOnkeypress()

  HTML: a script expression; a key is pressed and released Getter for onkeypress

  Returns:
    onkeypress value from local variable or value bindings

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for ondblclick

  Parameters:
    `ondblclick` - - new value

### getOndblclick

    public java.lang.String getOndblclick()

  HTML: a script expression; a pointer button is double-clicked Getter for ondblclick

  Returns:
    ondblclick value from local variable or value bindings

### setOninit

    public void setOninit(java.lang.String __oninit)

  JavaScript code invoked just after the Google Map object is initiated. Setter for oninit

  Parameters:
    `oninit` - - new value

### getOninit

    public java.lang.String getOninit()

  JavaScript code invoked just after the Google Map object is initiated. Getter for oninit

  Returns:
    oninit value from local variable or value bindings

### setEnableDoubleClickZoom

    public void setEnableDoubleClickZoom(java.lang.String __enableDoubleClickZoom)

  Enables zooming in by a double click. The default value is "false" Setter for enableDoubleClickZoom

  Parameters:
    `enableDoubleClickZoom` - - new value

### getEnableDoubleClickZoom

    public java.lang.String getEnableDoubleClickZoom()

  Enables zooming in by a double click. The default value is "false" Getter for enableDoubleClickZoom

  Returns:
    enableDoubleClickZoom value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setMapType

    public void setMapType(java.lang.String __mapType)

  Initial map type. The possible values are G_NORMAL_MAP, G_SATELLITE_MAP, G_HYBRID_MAP. The default value is G_SATELLITE_MAP Setter for mapType

  Parameters:
    `mapType` - - new value

### getMapType

    public java.lang.String getMapType()

  Initial map type. The possible values are G_NORMAL_MAP, G_SATELLITE_MAP, G_HYBRID_MAP. The default value is G_SATELLITE_MAP Getter for mapType

  Returns:
    mapType value from local variable or value bindings

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

  HTML: a script expression; a pointer is moved onto Setter for onmouseover

  Parameters:
    `onmouseover` - - new value

### getOnmouseover

    public java.lang.String getOnmouseover()

  HTML: a script expression; a pointer is moved onto Getter for onmouseover

  Returns:
    onmouseover value from local variable or value bindings

### setEnableInfoWindow

    public void setEnableInfoWindow(java.lang.String __enableInfoWindow)

  Enables Info Window. The default value is "true" Setter for enableInfoWindow

  Parameters:
    `enableInfoWindow` - - new value

### getEnableInfoWindow

    public java.lang.String getEnableInfoWindow()

  Enables Info Window. The default value is "true" Getter for enableInfoWindow

  Returns:
    enableInfoWindow value from local variable or value bindings

### setOnkeyup

    public void setOnkeyup(java.lang.String __onkeyup)

  HTML: a script expression; a key is released Setter for onkeyup

  Parameters:
    `onkeyup` - - new value

### getOnkeyup

    public java.lang.String getOnkeyup()

  HTML: a script expression; a key is released Getter for onkeyup

  Returns:
    onkeyup value from local variable or value bindings

### setEnableContinuousZoom

    public void setEnableContinuousZoom(java.lang.String __enableContinuousZoom)

  Enables continuous smooth zooming for selected browsers. The default value is "false" Setter for enableContinuousZoom

  Parameters:
    `enableContinuousZoom` - - new value

### getEnableContinuousZoom

    public java.lang.String getEnableContinuousZoom()

  Enables continuous smooth zooming for selected browsers. The default value is "false" Getter for enableContinuousZoom

  Returns:
    enableContinuousZoom value from local variable or value bindings

### setWarningMessage

    public void setWarningMessage(java.lang.String __warningMessage)

  The warning message that appears if a browser is not compatible with Google Map. The default value is "Your browser does not support Google Maps" Setter for warningMessage

  Parameters:
    `warningMessage` - - new value

### getWarningMessage

    public java.lang.String getWarningMessage()

  The warning message that appears if a browser is not compatible with Google Map. The default value is "Your browser does not support Google Maps" Getter for warningMessage

  Returns:
    warningMessage value from local variable or value bindings

### setOnclick

    public void setOnclick(java.lang.String __onclick)

  HTML: a script expression; a pointer button is clicked Setter for onclick

  Parameters:
    `onclick` - - new value

### getOnclick

    public java.lang.String getOnclick()

  HTML: a script expression; a pointer button is clicked Getter for onclick

  Returns:
    onclick value from local variable or value bindings

### setGmapVar

    public void setGmapVar(java.lang.String __gmapVar)

  The JavaScript variable that is used to access the Google Map API. If you have more than one Google Map components on the same page, use individual key for each of them. The default variable name is "map" (without quotes) Setter for gmapVar

  Parameters:
    `gmapVar` - - new value

### getGmapVar

    public java.lang.String getGmapVar()

  The JavaScript variable that is used to access the Google Map API. If you have more than one Google Map components on the same page, use individual key for each of them. The default variable name is "map" (without quotes) Getter for gmapVar

  Returns:
    gmapVar value from local variable or value bindings

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

  HTML: a script expression; a pointer is moved away Setter for onmouseout

  Parameters:
    `onmouseout` - - new value

### getOnmouseout

    public java.lang.String getOnmouseout()

  HTML: a script expression; a pointer is moved away Getter for onmouseout

  Returns:
    onmouseout value from local variable or value bindings

### setOnkeydown

    public void setOnkeydown(java.lang.String __onkeydown)

  HTML: a script expression; a key is pressed down Setter for onkeydown

  Parameters:
    `onkeydown` - - new value

### getOnkeydown

    public java.lang.String getOnkeydown()

  HTML: a script expression; a key is pressed down Getter for onkeydown

  Returns:
    onkeydown value from local variable or value bindings

### setOnmousedown

    public void setOnmousedown(java.lang.String __onmousedown)

  HTML: script expression; a pointer button is pressed down Setter for onmousedown

  Parameters:
    `onmousedown` - - new value

### getOnmousedown

    public java.lang.String getOnmousedown()

  HTML: script expression; a pointer button is pressed down Getter for onmousedown

  Returns:
    onmousedown value from local variable or value bindings

### setEnableDragging

    public void setEnableDragging(java.lang.String __enableDragging)

  Enables a map dragging with the mouse. The default value is "true" Setter for enableDragging

  Parameters:
    `enableDragging` - - new value

### getEnableDragging

    public java.lang.String getEnableDragging()

  Enables a map dragging with the mouse. The default value is "true" Getter for enableDragging

  Returns:
    enableDragging value from local variable or value bindings

### setShowGMapTypeControl

    public void setShowGMapTypeControl(java.lang.String __showGMapTypeControl)

  Shows the Type switch control. The default value is "true" Setter for showGMapTypeControl

  Parameters:
    `showGMapTypeControl` - - new value

### getShowGMapTypeControl

    public java.lang.String getShowGMapTypeControl()

  Shows the Type switch control. The default value is "true" Getter for showGMapTypeControl

  Returns:
    showGMapTypeControl value from local variable or value bindings

### setOnmouseup

    public void setOnmouseup(java.lang.String __onmouseup)

  HTML: script expression; a pointer button is released Setter for onmouseup

  Parameters:
    `onmouseup` - - new value

### getOnmouseup

    public java.lang.String getOnmouseup()

  HTML: script expression; a pointer button is released Getter for onmouseup

  Returns:
    onmouseup value from local variable or value bindings

### setLng

    public void setLng(java.lang.String __lng)

  Initial longitude coordinate in degrees, as a number between -180 and +180 Setter for lng

  Parameters:
    `lng` - - new value

### getLng

    public java.lang.String getLng()

  Initial longitude coordinate in degrees, as a number between -180 and +180 Getter for lng

  Returns:
    lng value from local variable or value bindings

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

  HTML: a script expression; a pointer is moved within Setter for onmousemove

  Parameters:
    `onmousemove` - - new value

### getOnmousemove

    public java.lang.String getOnmousemove()

  HTML: a script expression; a pointer is moved within Getter for onmousemove

  Returns:
    onmousemove value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.